%global debug_package %{nil}

Name:           OpenHantek6022
Version:        3.3.1
Release:        2%{?dist}
Summary:        OpenHantek6022 is a DSO software for Hantek USB digital signal oscilloscopes 6022BE / BL.

License:        GPLv3
URL:            https://github.com/OpenHantek/OpenHantek6022
Source0:        https://github.com/OpenHantek/OpenHantek6022/archive/refs/tags/%{version}.tar.gz

BuildRequires:  cmake gcc gcc-c++
BuildRequires:  pkgconfig(libusb-1.0) pkgconfig(fftw3) qt5-qtbase-devel qt5-qttools-devel
# For the %%_udevrulesdir macro
BuildRequires:  systemd
# For the directory
Requires:       systemd-udev
Requires:       qt5-qtbase libusb1 fftw

%description
OpenHantek6022 is a free software for Hantek DSO6022 USB digital signal oscilloscopes that is actively developed on github.com/OpenHantek/OpenHantek6022 - but only for Hantek 6022BE/BL and compatible scopes (Voltcraft, Darkwire, Protek, Acetech, etc.).

%prep
%autosetup


%build
%cmake
%cmake_build


%install
%cmake_install


%files
%license LICENSE
%doc README
%{_bindir}/OpenHantek
%{_udevrulesdir}/60-openhantek.rules
%{_datadir}/applications/OpenHantek.desktop
%{_datadir}/icons/hicolor/48x48/apps/OpenHantek.png
%{_datadir}/icons/hicolor/scalable/apps/OpenHantek.svg
%{_docdir}/openhantek/CHANGELOG
%{_docdir}/openhantek/HANTEK6022_AC_Modification.pdf
%{_docdir}/openhantek/HANTEK6022_Frequency_Generator_Modification.pdf
%{_docdir}/openhantek/LICENSE
%{_docdir}/openhantek/OpenHantek6022_User_Manual.pdf
%{_docdir}/openhantek/OpenHantek6022_zadig_Win10.pdf
%{_docdir}/openhantek/README


%changelog
* Mon Sep 05 2022 Thomas Büttner <thomas@vergesslicher.tech>
-
